bridge.get_ranked_posts
Purpose
获取排序后的帖子(post)。
sort 的支持取值:
trendinghotcreatedpromotedpayoutpayout_commentsmuted
tag 的取值可以是任意有效标签(tag)。
observer 的取值可以是任意有效账户或空字符串。
Parameters
PARAMETERS
json
{
"sort": "trending",
"tag": "",
"observer": "alice"
}Example
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "bridge.get_ranked_posts",
"params": {
"sort": "trending",
"tag": "",
"observer": "alice"
},
"id": 1
}'Response
RESPONSE
json
[
{
"post_id": 12345678,
"author": "alice",
"permlink": "that-march-hare",
"category": "wonderland",
"title": "That March Hare",
"body": "I think he went mad.",
"json_metadata": {
"tags": [
"wonderland"
],
"app": "steemit/0.2"
},
"created": "2019-12-05T16:29:12",
"updated": "2019-12-05T16:29:12",
"depth": 0,
"children": 0,
"net_rshares": 1539574839484,
"is_paidout": false,
"payout_at": "2019-12-12T16:29:12",
"payout": 0.286,
"pending_payout_value": "0.286 SBD",
"author_payout_value": "0.000 SBD",
"curator_payout_value": "0.000 SBD",
"promoted": "0.000 SBD",
"replies": [],
"active_votes": [
{
"voter": "bob",
"rshares": "67759296290"
}
],
"author_reputation": 47.15,
"stats": {
"hide": false,
"gray": false,
"total_votes": 12,
"flag_weight": 0
},
"beneficiaries": [],
"max_accepted_payout": "1000000.000 SBD",
"percent_steem_dollars": 10000,
"url": "/wonderland/@alice/that-march-hare",
"blacklists": []
}
]